QScintilla 2.14.1

Public Types | Public Member Functions | List of all members
QsciLexerMatlab Class Reference

`#include <qscilexermatlab.h>`

Inherits QsciLexer.

Inherited by QsciLexerOctave.

## Public Types
enum | { Default = 0, Comment = 1, Command = 2, Number = 3, Keyword = 4, SingleQuotedString = 5, Operator = 6, Identifier = 7, DoubleQuotedString = 8 }

## Public Member Functions
| QsciLexerMatlab (QObject *parent=0)
virtual | ~QsciLexerMatlab ()
const char * | language () const
const char * | lexer () const
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
const char * | keywords (int set) const
QString | description (int style) const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
virtual QColor | defaultPaper (int style) const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual void | refreshProperties ()
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexer
virtual bool | readProperties (QSettings &qs, const QString &prefix)
virtual bool | writeProperties (QSettings &qs, const QString &prefix) const
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerMatlab class encapsulates the Scintilla Matlab file lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Matlab file lexer.

Enumerator
Default | The default.
Comment | A comment.
Command | A command.
Number | A number.
Keyword | A keyword.
SingleQuotedString | A single quoted string.
Operator | An operator.
Identifier | An identifier.
DoubleQuotedString | A double quoted string.

## Constructor & Destructor Documentation

## ◆ QsciLexerMatlab()

QsciLexerMatlab::QsciLexerMatlab | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerMatlab with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerMatlab::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerOctave.

## ◆ defaultColor()

QColor QsciLexerMatlab::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerMatlab::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

Reimplemented in QsciLexerOctave.

## ◆ description()

QString QsciLexerMatlab::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.